org.eclipse.cdt.core.settings.model.util

## Class CSettingEntryFactory

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.CSettingEntryFactory

Deprecated.
Since CDT 9.0. Use corresponding `CDataUtil` methods instead.

    @Deprecated
    public class CSettingEntryFactory
    extends Object

Used to be factory/cache of setting entries. Superseded by `CDataUtil` pool of entries. Not used in CDT anymore.

### Constructor Summary

Constructors
Constructor and Description
`CSettingEntryFactory()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `clear()` Deprecated.
`ICSettingEntry` `getEntry(ICSettingEntry entry)` Deprecated.
`ICSettingEntry` `getEntry(int kind, String name, String value, org.eclipse.core.runtime.IPath[] exclusionPatterns, int flags, boolean create)` Deprecated.
`ICLanguageSettingEntry` `getLanguageSettingEntry(ICLanguageSettingEntry entry)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CSettingEntryFactory

    public CSettingEntryFactory()

Deprecated.

### Method Detail

#### getEntry

    public ICSettingEntry getEntry(ICSettingEntry entry)

Deprecated.

#### getLanguageSettingEntry

    public ICLanguageSettingEntry getLanguageSettingEntry(ICLanguageSettingEntry entry)

Deprecated.

#### getEntry

    public ICSettingEntry getEntry(int kind,
                                   String name,
                                   String value,
                                   org.eclipse.core.runtime.IPath[] exclusionPatterns,
                                   int flags,
                                   boolean create)

Deprecated.

#### clear

    public void clear()

Deprecated.